petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFDColoringUseDM

allows a MatFDColoring object to use the DM associated with the matrix to use a IS_COLORING_LOCAL coloring

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  MatFDColoringUseDM(Mat coloring,MatFDColoring fdcoloring)

### Input Parameter

coloring -the MatFDColoring object

### Developer Notes

this routine exists because the PETSc Mat library does not know about the DM objects

### See Also

MatFDColoring, MatFDColoringCreate(), ISColoringType

### Level

advanced

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages